LSCPU(1)

NAZWA
lscpu - wyświetla informacje o architekturze procesora

SKŁADNIA

lscpu [opcje]

OPIS

lscpu zbiera informacji o architekturze procesora z sysfs, /proc/cpuinfo i wszystkich dostępnych bibliotek w zależności od architektury (np. librtas na Powerpc). Wynik polecenie można zoptymalizować do przetwarzania lub tak, aby był czytelny dla ludzi. Informacje obejmują np. liczbę procesorów, wątków, rdzeni, gniazd i węzłów Non-Uniform Memory Access (NUMA). Są również informacje o buforach procesorów i ich dzieleniu, rodzinie, modelu, bogoMIPS, kolejności bajtów i wersji.

Domyślne formatowanie na terminalu może się zmieniać i być optymalizowane aby poprawić czytelności. Standardowe wyjście (np. przekazywane potokom) nigdy nie jest zmieniane i ma zawsze postać: "Pole: dane". Aby zobaczyć niezoptymalizowane wyjście można użyć np. polecenia "lscpu | less".

W środowiskach zwirtualizowanych, wyświetlane informacje o architekturze procesora odpowiadają konfiguracji systemu operacyjnego gościa, która z reguły różni się od tej na fizycznym komputerze gospodarzu. Na architekturach obsługujących pozyskiwanie informacji o topologii fizycznej, lscpu wyświetla również liczbę fizycznych gniazd, czipów i rdzeni w systemie gospodarzu.

Opcje które skutkują wyświetleniem tabeli przyjmują argument lista. Argument ten służy do dostosowania wyniku. Można podać listę etykiet kolumn oddzieloną przecinkami aby ograniczyć wyniki w tabeli tylko do podanych kolumn, w określonej kolejności. Prawidłowe etykiety podano w rozdziale KOLUMNY. Wielkość liter w nazwach etykiet nie ma znaczenia.

Nie wszystkie kolumny są obsługiwane na wszystkich architekturach. Jeśli poda się nieobsługiwaną kolumnę, lscpu wypisze kolumnę, ale nie wyświetli dla niej żadnych danych.

Przedstawiony rozmiar pamięci podręcznej jest sumą pamięci wszystkich procesorów. Wersje przed v2.34 wyświetlały rozmiar pamięci na rdzeń, ale było to mylące ze względu na skomplikowaną topologię procesorów i sposób, w jaki pamięć podręczna jest dzielona między nimi. Więcej informacji o pamięci podręcznej wyświetli opcja --cache. Od wersji v2.37 lscpu identyfikatory pamięci podręcznej są numerowane wg jądra Linux, dlatego nie zawsze zaczynają się od zera.

OPCJE

-a, --all
    Włącza wiersze dla aktywnych i nieaktywnych procesorów w wyniku (domyślne dla -e). Opcję można podać tylko razem z opcją -e lub -p.

-B, --bytes
    Wypisuje rozmiary w bajtach zamiast w formacie czytelnym dla ludzi.

    By default, the unit, sizes are expressed in, is byte, and unit prefixes are in power of 2^10 (1024). Abbreviations of symbols are exhibited truncated in order to reach a better readability, by exhibiting alone the first letter of them; examples: "1 KiB" and "1 MiB" are respectively exhibited as "1 K" and "1 M", then omitting on purpose the mention "iB", which is part of these abbreviations.

-b, --online
    Ogranicza wynik do aktywnych procesorów (domyślne dla -p). Tę opcję można podać tylko razem z opcją -e lub -p.

-C, --caches[=lista]
    Wyświetla szczegóły pamięci podręcznej procesora. Więcej informacji o dostępnych informacjach wyświetli opcja --help.

    Jeśli nie poda się listy argumentów, w wyniku ujęte są wszystkie kolumny dla których dostępne są dane.

    When specifying the list argument, the string of option, equal sign (=), and list must not contain any blanks or other whitespace. Examples: -C=NAME,ONE-SIZE or --caches=NAME,ONE-SIZE.

    The default list of columns may be extended if list is specified in the format +list (e.g., lscpu -C=+ALLOC-POLICY).

-c, --offline
    Ogranicza wynik do nieaktywnych procesorów. Tę opcję można podać tylko razem z opcją -e lub -p.

-e, --extended[=lista]
    Wyświetla informacje o procesorze w postaci czytelnej dla człowieka.

    Jeśli nie poda się listy argumentów, w wyniku ujęte są domyślne kolumny. Domyślne kolumny mogą się zmieniać w kolejnych wersjach programu.

    Przy podawaniu listy argumentów, łańcuch składający się z opcji, znaku równości (=) i listy nie może zawierać żadnych białych znaków. Przykłady: "-e=cpu,node" lub "--extended=cpu,node".

    Domyślną listę kolumn można rozszerzyć, jeśli poda się ją w formacie +lista (np "lscpu -e=+MHZ")

-J, --json
    Używa formatu wyjściowego JSON do domyślnego podsumowania lub wyjścia rozszerzonego (zob. --extended).

-p, --parse[=lista]
    Optymalizuje wynik polecenie w celu łatwego przetwarzania.

    Jeśli nie poda się listy argumentów, to wyświetlana jest postać kompatybilna z wcześniejszymi wersjami lscpu. Format ten używa dwóch przecinków do oddzielenia kolumn pamięci podręcznych procesora. Jeśli nie zostaną one zidentyfikowane, to kolumny pamięci podręcznych w ogóle nie są wyświetlane. Jeśli poda się argument lista, kolumny pamięci podręcznych są oddzielane dwukropkiem (:).

    Przy podawaniu listy argumentów, łańcuch składający się z opcji, znaku równości (=) i listy nie może zawierać żadnych białych znaków. Przykłady: "-p=cpu,node" lub "--parse=cpu,node".

    Domyślną listę kolumn można rozszerzyć, jeśli poda się ją w formacie +lista (np "lscpu -p=+MHZ")

-s, --sysroot katalog
    Zbiera informacje o procesorze dla innego systemu Linux niż ten, z którego uruchomiono lscpu. Podany katalog jest głównym katalogiem kopii Linuksa do sprawdzenia.

-x, --hex
    Używa masek szesnastkowych do zestawów CPU (np. "ff"). Domyślnie, zestawy są wypisywane w postaci listy (np. 0,1). Proszę zauważyć, że w wersjach starszych niż v2.30 maski były wyświetlane z prefiksem 0x.

-y, --physical
    Wypisuje identyfikatory fizyczne dla wszystkich kolumn zawierających elementy topologii (rdzeń, gniazdo itp.). W przeciwieństwie do identyfikatorów logicznych, które są nadawane przez lscpu, identyfikatory fizyczne są wartościami udostępnianymi przez jądro, zależnymi od architektury. Nie muszą być unikatowe, ani mieć kolejnych numerów. Jeśli jądro nie może pobrać identyfikatora fizycznego dla danego elementu, lscpu wypisze znak minusa (-).

    Opcja nie ma wpływu na logiczne numery procesorów.

--output-all
    Wypisuje wszystkie dostępne kolumny. Opcję tę należy łączyć z --extended, --parse lub --caches.

BŁĘDY

Ogólne informacje o rodzinie, modelu itp. procesora są dostępne zawsze jedynie dla pierwszego procesora.

Niekiedy w Xen Dom0 jądro zwraca nieprawidłowe dane.

Na wirtualnym sprzęcie liczba rdzeni na gniazdo itp. może być nieprawidłowa.

AUTORZY

ZOBACZ TAKŻE

chcpu(8)

ZGŁASZANIE BŁĘDÓW

Raporty o błędach proszę zgłaszać pod adresem

DOSTĘPNOŚĆ

Polecenie lscpu jest częścią pakietu util-linux i można je pobrać ze strony

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.